Uploaded image for project: 'Ruby Driver'
  1. Ruby Driver
  2. RUBY-2080

Test FLE on jruby

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.12.0.rc0
    • Component/s: None
    • Labels:
      None

      Description

      Currently, FLE requires the master version of bson-ruby because it uses extended JSON parsing and the new BSON::Binary subtype, which have not been included in a release. Jruby does not play well with pulling requirements from Github, so it is currently impossible to test. Once the bson-ruby gem has been released, we should add jruby back to the test matrix.

        Attachments

          Activity

            People

            Assignee:
            oleg.pudeyev Oleg Pudeyev
            Reporter:
            emily.giurleo Emily Giurleo
            Participants:
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: